[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

ChunkedArrayOptions Class Reference

Option object for ChunkedArray construction. More...

`#include <vigra/multi_array_chunked.hxx>`

## Public Member Functions

ChunkedArrayOptions & | cacheMax (int v)
| Maximum number of chunks in the cache.
| ChunkedArrayOptions ()
| Initialize options with defaults.
ChunkedArrayOptions & | compression (CompressionMethod v)
| Compress inactive chunks with the given method.
ChunkedArrayOptions & | fillValue (double v)
| Element value for read-only access of uninitialized chunks.

## Detailed Description

Option object for ChunkedArray construction.

## Member Function Documentation

## ◆ fillValue()

ChunkedArrayOptions & fillValue | ( | double | v | ) |

Element value for read-only access of uninitialized chunks.

Default: 0

## ◆ cacheMax()

ChunkedArrayOptions & cacheMax | ( | int | v | ) |

Maximum number of chunks in the cache.

Default: -1 ( = use a heuristic depending on array shape)

## ◆ compression()

ChunkedArrayOptions & compression | ( | CompressionMethod | v | ) |

Compress inactive chunks with the given method.

Default: DEFAULT_COMPRESSION (depends on backend)

The documentation for this class was generated from the following file:

- vigra/multi_array_chunked.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1